Bug 7176 - Split C4::Context into submodules
Summary: Split C4::Context into submodules
Status: CLOSED INVALID
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Paul Poulain
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 7119
  Show dependency treegraph
 
Reported: 2011-11-06 04:30 UTC by Ian Walls
Modified: 2017-06-14 22:10 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Walls 2011-11-06 04:30:20 UTC
C4::Context currently does way too many things:

Reading koha-conf.xml
Retrieving system preferences
Connecting to Zebra
Connecting to the database
Getting marc from a Koha field
Handling stopwords
Setting user environment
Showing versions of installed software

Breaking this down into submodules (C4::Context::Preferences, C4::Context::DBH, C4::Context::Config, etc) would allow us to only call the parts we need in any given place, reducing the overhead of loading a page.
Comment 1 Paul Poulain 2016-06-04 08:54:57 UTC
so many changes are underway related to modules, OOo, authentication,... that I think this unique bug can/must be closed